> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Model Operations.

> Update one or more editable attributes of a DMM model.



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml patch /model-monitor/v2/api/model
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/model:
    summary: Model Operations.
    patch:
      tags:
        - Model
      summary: Model Operations.
      description: Update one or more editable attributes of a DMM model.
      operationId: updateModelById
      parameters:
        - in: query
          name: model_id
          required: true
          schema:
            type: string
      requestBody:
        required: true
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/modelUpdateRequest'
      responses:
        '200':
          description: Successfully updated the model.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Model not found.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    modelUpdateRequest:
      title: Model Update Request
      description: Attributes of the model to update.
      type: object
      allOf:
        - $ref: '#/components/schemas/editableModelAttributes'
    editableModelAttributes:
      title: Model attributes
      description: Those attributes of a model that can be edited.
      type: object
      properties:
        name:
          description: Name of the model.
          type: string
        version:
          description: Version of the model.
          type: string
        description:
          description: Description for the model.
          type: string
        author:
          description: Author of the model.
          type: string
        tag_ids:
          description: Ids of tags attached to the model.
          type: array
          items:
            type: string
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````